package com.ruoyi.learn.service;

import java.util.List;
import com.ruoyi.learn.domain.LearnPaperReal;

/**
 * 真题卷Service接口
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public interface ILearnPaperRealService 
{
    /**
     * 查询真题卷
     * 
     * @param id 真题卷主键
     * @return 真题卷
     */
    public LearnPaperReal selectLearnPaperRealById(Long id);

    /**
     * 查询真题卷列表
     * 
     * @param learnPaperReal 真题卷
     * @return 真题卷集合
     */
    public List<LearnPaperReal> selectLearnPaperRealList(LearnPaperReal learnPaperReal);

    /**
     * 新增真题卷
     * 
     * @param learnPaperReal 真题卷
     * @return 结果
     */
    public int insertLearnPaperReal(LearnPaperReal learnPaperReal);

    /**
     * 修改真题卷
     * 
     * @param learnPaperReal 真题卷
     * @return 结果
     */
    public int updateLearnPaperReal(LearnPaperReal learnPaperReal);

    /**
     * 批量删除真题卷
     * 
     * @param ids 需要删除的真题卷主键集合
     * @return 结果
     */
    public int deleteLearnPaperRealByIds(Long[] ids);

    /**
     * 删除真题卷信息
     * 
     * @param id 真题卷主键
     * @return 结果
     */
    public int deleteLearnPaperRealById(Long id);
}
